This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 283121 - fedora8test1 installation crash on x86_64 - partition-related??
fedora8test1 installation crash on x86_64 - partition-related??
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-07 16:19 EDT by Robin Bowes
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-01 15:37:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log file from anaconda crash (26.03 KB, text/plain)
2007-09-07 16:19 EDT, Robin Bowes
no flags Details

  None (edit)
Description Robin Bowes 2007-09-07 16:19:34 EDT
Description of problem:

Installation of F8-Test1 crashes with an Anaconda backtrace some time after
pressing the final "Install" button

Possibly related to partitioning scheme

Version-Release number of selected component (if applicable):

Fedora 8, Test 1

How reproducible:

Boot f8test1 DVD
Go through installation process
Press Install
Boom!


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

This is the backtrace:

20:36:19 CRITICAL: Traceback (most recent call first):
  File "/usr/lib/anaconda/partedUtils.py", line 188, in get_partition_drive
    return "%s" %(partition.geom.dev.path[5:])
  File "/usr/lib/anaconda/fsset.py", line 1396, in setActive
    drive = partedUtils.get_partition_drive(part)
  File "/usr/lib/anaconda/packages.py", line 143, in turnOnFilesystems
    anaconda.id.fsset.setActive(anaconda.id.diskset)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1047, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1074, in handleRenderCallback
    self.currentWindow.renderCallback()
AttributeError: 'NoneType' object has no attribute 'geom'


See attachment for full anaconda.log
Comment 1 Robin Bowes 2007-09-07 16:19:34 EDT
Created attachment 190461 [details]
Log file from anaconda crash
Comment 2 Jeremy Katz 2007-09-21 13:55:58 EDT
Were you setting up /boot as RAID? 
Comment 3 Robin Bowes 2007-09-21 15:40:49 EDT
I was.

But it also failed when I just mounted /boot on /dev/sda1
Comment 4 Chris Lumens 2007-11-30 00:02:11 EST
Is this still a problem in F8 final?
Comment 5 Robin Bowes 2007-12-01 15:37:43 EST
I've not tested it and am not currently in a position to do so.

I suggest this ticket be closed.

Note You need to log in before you can comment on or make changes to this bug.